import { Event, SdkInfo } from '@sentry/types';
export declare const SDK_NAME = "sentry.javascript.electron";
/** Gets SDK info */
export declare function getSdkInfo(): SdkInfo;
/** Gets the default release name */
export declare function getDefaultReleaseName(): string;
/** Gets the default environment */
export declare function getDefaultEnvironment(): string;
/**
 * Computes and caches Electron-specific default fields for events.
 *
 * The event defaults include contexts for the Electron, Node and Chrome
 * runtimes, limited device information, operating system context and defaults
 * for the release and environment.
 */
export declare function getEventDefaults(release?: string, environment?: string): Promise<Event>;
//# sourceMappingURL=context.d.ts.map